<?php require_once( 'couch/cms.php' ); ?>
<cms:template title='Test' order='1000' clonable='1' dynamic_folders='1'>

    <cms:editable name='my_folder' label='Folder' type='dropdown' opt_values='folders-dropdown.html'
    dynamic='opt_values' requiredx='1' order='-10' />
    
    <cms:func _into='my_cond' my_folder=''>
        <cms:if "<cms:is my_folder in=my_root_folders.blog />" >
            show
        <cms:else/>
            hide
        </cms:if>

        <cms:alt_js>
            if($.inArray(my_folder, my_root_folders.blog)!=-1){
                return 0; //show
            }
            else{
                return 1; //hide
            }
        </cms:alt_js>
    </cms:func>
    <cms:editable name='blog_text' label='Blog Text' type='textarea' required='1' not_active=my_cond />
    
    <cms:func _into='my_cond' my_folder=''>
        <cms:if "<cms:is my_folder in=my_root_folders.portfolio />" >
            show
        <cms:else/>
            hide
        </cms:if>

        <cms:alt_js>
            if($.inArray(my_folder, my_root_folders.portfolio)!=-1){
                return 0; //show
            }
            else{
                return 1; //hide
            }
        </cms:alt_js>
    </cms:func>
    <cms:editable name='portfolio_text' label='Portfolio Text' type='text' required='1' not_active=my_cond />

    
    <cms:config_form_view>
        <cms:persist
            k_page_folder_id = "<cms:if frm_my_folder ne '-' >
                                    <cms:folders root=frm_my_folder depth='1'><cms:show k_folder_id /></cms:folders>
                                <cms:else />
                                     -1
                                </cms:if>"
        />

        <cms:style>
            #k_element_my_folder div.select{ width: 36%; min-width: 445px; }
        </cms:style>
        
        <cms:field name='k_page_folder_id' hide='1' />

        <cms:script>
            <cms:set my_root_folders='[]' is_json='1' scope='global' />

            <cms:folders depth='1'>
                <cms:set top_folder = "my_root_folders.<cms:show k_folder_name />" />
                <cms:put top_folder '[]' is_json='1' scope='global' />
                
                <cms:folders root=k_folder_name>
                    <cms:put "<cms:show top_folder />." k_folder_name scope='global' />
                </cms:folders>
            </cms:folders>
            
            var my_root_folders = <cms:show my_root_folders as_json='1' />
        </cms:script>
    </cms:config_form_view>

</cms:template>


Hello



<?php COUCH::invoke(); ?>
